Page MenuHomePhabricator

Select language to read an article
Closed, ResolvedPublic

Description

User story

As a KaiOS user, I want to select the language I prefer to read an article in

Acceptance criteria

  • Language selector in hamburger menu
  • Option to see languages that the article exists in
  • Select language of choice
  • Article then switches to language of choice

Proposed designs

Change language alert (from app settings)Change language (app settings)Change language (Search)Change language (article)
https://zpl.io/2GRR4xrhttps://zpl.io/VDoov5ghttps://zpl.io/adYYDBKhttps://zpl.io/VxQQJMW
Screen type: DialogueScreen type: list with radio controlsScreen type: list with radio controlsScreen type: list with radio controls
Interaction details
ScreenD-pad centerD-pad up/downD-pad left/rightLSKRSK
Change language alert (from app settings)Dismisses dialogN/AN/AN/AN/A
Change language (list view)Selects highlighted list itemNavigates up and down in listN/ACloses window and goes back to previous screenPlaces focus on search

Event Timeline

AMuigai created this task.Oct 4 2019, 2:04 PM
Restricted Application added a project: Inuka-Team. · View Herald TranscriptOct 4 2019, 2:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
AMuigai moved this task from Backlog to Q2 on the Inuka-Team board.Oct 4 2019, 2:50 PM
cmadeo updated the task description. (Show Details)Oct 25 2019, 8:49 PM
cmadeo moved this task from Design doing to Ready for approval on the KaiOS-Wikipedia-app board.
AMuigai moved this task from Q2 to Kanban on the Inuka-Team board.Oct 28 2019, 5:19 PM
AMuigai edited projects, added Inuka-Team (Kanban); removed Inuka-Team.
cmadeo updated the task description. (Show Details)Nov 13 2019, 7:16 PM
hueitan claimed this task.Dec 17 2019, 10:53 AM
hueitan moved this task from Ready for Dev to Dev on the Inuka-Team (Kanban) board.

@cmadeo @AMuigai : @Amire80 is proposing to retitle the first popup "Language settings" (plural) for consistency with other apps. What do you think?

Sounds good to me.

In Change language (article) section, follow the same pattern as iOS Wikipedia Apps, we show only the Other Languages due to the current API limitation without returning the current language

https://www.mediawiki.org/wiki/API:Langlinks

hueitan moved this task from Dev to Code Review on the Inuka-Team (Kanban) board.Dec 23 2019, 10:06 PM
SBisson moved this task from Code Review to QA on the Inuka-Team (Kanban) board.Jan 1 2020, 6:42 PM
Jpita added a subscriber: Jpita.Jan 2 2020, 10:09 AM

When I change the language of the article the language in the app doesn't change.
Is this expected?
can be confusing for the user to have 2 different places to change the language and only one of them changes the actual language of the app (specially since when we go back to the search it is in the previous language).

When an article doesn't exist in any other language (en/Line of succession to the British throne) there an error in the console and the language list is empty. Not sure what should happen, maybe a message.

When an article doesn't exist in any other language (en/Line of succession to the British throne) there an error in the console and the language list is empty. Not sure what should happen, maybe a message.

Let's do it in T242350: Empty state for Search and Article Change language page, so we handle this globally. Beware that Offline experience for this has another issue here T241171: Empty state for Search when user's device is offline.

Jpita added a comment.Jan 10 2020, 2:22 PM

These 2 links don't get translated


They don't seem to be present on the translation files

<div class='article-actions'>
           <div class='article-actions-button' data-action='sections'>
             <img src='images/sections.svg' /><br />
             <label>Sections</label>
           </div>
           <div class='article-actions-button' data-action='quickfacts'>
             <img src='images/quickfacts.svg' /><br />
             <label>Quick Facts</label>
           </div>
         </div>
Jpita moved this task from QA to Dev on the Inuka-Team (Kanban) board.Jan 10 2020, 2:35 PM
hueitan moved this task from Dev to QA on the Inuka-Team (Kanban) board.Jan 12 2020, 2:15 PM
AMuigai closed this task as Resolved.Thu, Feb 6, 10:43 AM